diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.h b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
index dec9e95c..1bb9ba66 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
@@ -921,592 +408,278 @@ public:
 
     // 9.2
     virtual rti1516e::RegionHandle
-    createRegion(rti1516e::DimensionHandleSet const& theDimensions) throw(rti1516e::InvalidDimensionHandle,
-                                                                          rti1516e::FederateNotExecutionMember,
-                                                                          rti1516e::SaveInProgress,
-                                                                          rti1516e::RestoreInProgress,
-                                                                          rti1516e::NotConnected,
-                                                                          rti1516e::RTIinternalError);
+    createRegion(rti1516e::DimensionHandleSet const& theDimensions);
 
     // 9.3
-    virtual void commitRegionModifications(rti1516e::RegionHandleSet const& theRegionHandleSet) throw(
-        rti1516e::InvalidRegion,
-        rti1516e::RegionNotCreatedByThisFederate,
-        rti1516e::FederateNotExecutionMember,
-        rti1516e::SaveInProgress,
-        rti1516e::RestoreInProgress,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void commitRegionModifications(rti1516e::RegionHandleSet const& theRegionHandleSet);
 
     // 9.4
     virtual void
-    deleteRegion(rti1516e::RegionHandle const& theRegion) throw(rti1516e::RegionInUseForUpdateOrSubscription,
-                                                                rti1516e::RegionNotCreatedByThisFederate,
-                                                                rti1516e::InvalidRegion,
-                                                                rti1516e::SaveInProgress,
-                                                                rti1516e::RestoreInProgress,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+    deleteRegion(rti1516e::RegionHandle const& theRegion);
 
     // 9.5
     virtual rti1516e::ObjectInstanceHandle registerObjectInstanceWithRegions(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-            theAttributeHandleSetRegionHandleSetPairVector) throw(rti1516e::ObjectClassNotDefined,
-                                                                  rti1516e::ObjectClassNotPublished,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::AttributeNotPublished,
-                                                                  rti1516e::InvalidRegion,
-                                                                  rti1516e::RegionNotCreatedByThisFederate,
-                                                                  rti1516e::InvalidRegionContext,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     virtual rti1516e::ObjectInstanceHandle registerObjectInstanceWithRegions(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const& theAttributeHandleSetRegionHandleSetPairVector,
-        std::wstring const& theObjectInstanceName) throw(rti1516e::ObjectClassNotDefined,
-                                                         rti1516e::ObjectClassNotPublished,
-                                                         rti1516e::AttributeNotDefined,
-                                                         rti1516e::AttributeNotPublished,
-                                                         rti1516e::InvalidRegion,
-                                                         rti1516e::RegionNotCreatedByThisFederate,
-                                                         rti1516e::InvalidRegionContext,
-                                                         rti1516e::ObjectInstanceNameNotReserved,
-                                                         rti1516e::ObjectInstanceNameInUse,
-                                                         rti1516e::FederateNotExecutionMember,
-                                                         rti1516e::SaveInProgress,
-                                                         rti1516e::RestoreInProgress,
-                                                         rti1516e::NotConnected,
-                                                         rti1516e::RTIinternalError);
+        std::wstring const& theObjectInstanceName);
 
     // 9.6
     virtual void associateRegionsForUpdates(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-            theAttributeHandleSetRegionHandleSetPairVector) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::InvalidRegion,
-                                                                  rti1516e::RegionNotCreatedByThisFederate,
-                                                                  rti1516e::InvalidRegionContext,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.7
     virtual void unassociateRegionsForUpdates(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-            theAttributeHandleSetRegionHandleSetPairVector) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::InvalidRegion,
-                                                                  rti1516e::RegionNotCreatedByThisFederate,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.8
     virtual void subscribeObjectClassAttributesWithRegions(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const& theAttributeHandleSetRegionHandleSetPairVector,
         bool active,
-        std::wstring const& updateRateDesignator) throw(rti1516e::ObjectClassNotDefined,
-                                                        rti1516e::AttributeNotDefined,
-                                                        rti1516e::InvalidRegion,
-                                                        rti1516e::RegionNotCreatedByThisFederate,
-                                                        rti1516e::InvalidRegionContext,
-                                                        rti1516e::FederateNotExecutionMember,
-                                                        rti1516e::SaveInProgress,
-                                                        rti1516e::RestoreInProgress,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError);
+        std::wstring const& updateRateDesignator);
 
     // 9.9
     virtual void unsubscribeObjectClassAttributesWithRegions(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-            theAttributeHandleSetRegionHandleSetPairVector) throw(rti1516e::ObjectClassNotDefined,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::InvalidRegion,
-                                                                  rti1516e::RegionNotCreatedByThisFederate,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.10
     virtual void
     subscribeInteractionClassWithRegions(rti1516e::InteractionClassHandle theClass,
                                          rti1516e::RegionHandleSet const& theRegionHandleSet,
                                          bool active
-                                         = true) throw(rti1516e::InteractionClassNotDefined,
-                                                       rti1516e::InvalidRegion,
-                                                       rti1516e::RegionNotCreatedByThisFederate,
-                                                       rti1516e::InvalidRegionContext,
-                                                       rti1516e::FederateServiceInvocationsAreBeingReportedViaMOM,
-                                                       rti1516e::FederateNotExecutionMember,
-                                                       rti1516e::SaveInProgress,
-                                                       rti1516e::RestoreInProgress,
-                                                       rti1516e::NotConnected,
-                                                       rti1516e::RTIinternalError);
+                                         = true);
 
     // 9.11
     virtual void unsubscribeInteractionClassWithRegions(
         rti1516e::InteractionClassHandle theClass,
-        rti1516e::RegionHandleSet const& theRegionHandleSet) throw(rti1516e::InteractionClassNotDefined,
-                                                                   rti1516e::InvalidRegion,
-                                                                   rti1516e::RegionNotCreatedByThisFederate,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+        rti1516e::RegionHandleSet const& theRegionHandleSet);
 
     // 9.12
     virtual void sendInteractionWithRegions(
         rti1516e::InteractionClassHandle theInteraction,
         rti1516e::ParameterHandleValueMap const& theParameterValues,
         rti1516e::RegionHandleSet const& theRegionHandleSet,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::InteractionClassNotDefined,
-                                                                      rti1516e::InteractionClassNotPublished,
-                                                                      rti1516e::InteractionParameterNotDefined,
-                                                                      rti1516e::InvalidRegion,
-                                                                      rti1516e::RegionNotCreatedByThisFederate,
-                                                                      rti1516e::InvalidRegionContext,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual rti1516e::MessageRetractionHandle
     sendInteractionWithRegions(rti1516e::InteractionClassHandle theInteraction,
                                rti1516e::ParameterHandleValueMap const& theParameterValues,
                                rti1516e::RegionHandleSet const& theRegionHandleSet,
                                rti1516e::VariableLengthData const& theUserSuppliedTag,
-                               rti1516e::LogicalTime const& theTime) throw(rti1516e::InteractionClassNotDefined,
-                                                                           rti1516e::InteractionClassNotPublished,
-                                                                           rti1516e::InteractionParameterNotDefined,
-                                                                           rti1516e::InvalidRegion,
-                                                                           rti1516e::RegionNotCreatedByThisFederate,
-                                                                           rti1516e::InvalidRegionContext,
-                                                                           rti1516e::InvalidLogicalTime,
-                                                                           rti1516e::FederateNotExecutionMember,
-                                                                           rti1516e::SaveInProgress,
-                                                                           rti1516e::RestoreInProgress,
-                                                                           rti1516e::NotConnected,
-                                                                           rti1516e::RTIinternalError);
+                               rti1516e::LogicalTime const& theTime);
 
     // 9.13
     virtual void requestAttributeValueUpdateWithRegions(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSetRegionHandleSetPairVector const& theSet,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectClassNotDefined,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::InvalidRegion,
-                                                                      rti1516e::RegionNotCreatedByThisFederate,
-                                                                      rti1516e::InvalidRegionContext,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     //////////////////////////
     // RTI Support Services //
     //////////////////////////
     // 10.2
-    virtual rti1516e::ResignAction getAutomaticResignDirective() throw(rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+    virtual rti1516e::ResignAction getAutomaticResignDirective();
 
     // 10.3
     virtual void
-    setAutomaticResignDirective(rti1516e::ResignAction resignAction) throw(rti1516e::InvalidResignAction,
-                                                                           rti1516e::FederateNotExecutionMember,
-                                                                           rti1516e::NotConnected,
-                                                                           rti1516e::RTIinternalError);
+    setAutomaticResignDirective(rti1516e::ResignAction resignAction);
 
     // 10.4
     virtual rti1516e::FederateHandle
-    getFederateHandle(std::wstring const& theName) throw(rti1516e::NameNotFound,
-                                                         rti1516e::FederateNotExecutionMember,
-                                                         rti1516e::NotConnected,
-                                                         rti1516e::RTIinternalError);
+    getFederateHandle(std::wstring const& theName);
 
     // 10.5
-    virtual std::wstring getFederateName(rti1516e::FederateHandle theHandle) throw(rti1516e::InvalidFederateHandle,
-                                                                                   rti1516e::FederateHandleNotKnown,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError);
+    virtual std::wstring getFederateName(rti1516e::FederateHandle theHandle);
 
     // 10.6
     virtual rti1516e::ObjectClassHandle
-    getObjectClassHandle(std::wstring const& theName) throw(rti1516e::NameNotFound,
-                                                            rti1516e::FederateNotExecutionMember,
-                                                            rti1516e::NotConnected,
-                                                            rti1516e::RTIinternalError);
+    getObjectClassHandle(std::wstring const& theName);
 
     // 10.7
     virtual std::wstring
-    getObjectClassName(rti1516e::ObjectClassHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                                                    rti1516e::FederateNotExecutionMember,
-                                                                    rti1516e::NotConnected,
-                                                                    rti1516e::RTIinternalError);
+    getObjectClassName(rti1516e::ObjectClassHandle theHandle);
 
     // 10.8
     rti1516e::ObjectClassHandle
-    getKnownObjectClassHandle(rti1516e::ObjectInstanceHandle theObject) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                              rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError);
+    getKnownObjectClassHandle(rti1516e::ObjectInstanceHandle theObject);
 
     // 10.9
     rti1516e::ObjectInstanceHandle
-    getObjectInstanceHandle(std::wstring const& theName) throw(rti1516e::ObjectInstanceNotKnown,
-                                                               rti1516e::FederateNotExecutionMember,
-                                                               rti1516e::NotConnected,
-                                                               rti1516e::RTIinternalError);
+    getObjectInstanceHandle(std::wstring const& theName);
 
     // 10.10
     std::wstring
-    getObjectInstanceName(rti1516e::ObjectInstanceHandle theHandle) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                          rti1516e::FederateNotExecutionMember,
-                                                                          rti1516e::NotConnected,
-                                                                          rti1516e::RTIinternalError);
+    getObjectInstanceName(rti1516e::ObjectInstanceHandle theHandle);
 
     // 10.11
     virtual rti1516e::AttributeHandle
     getAttributeHandle(rti1516e::ObjectClassHandle whichClass,
-                       std::wstring const& theAttributeName) throw(rti1516e::InvalidObjectClassHandle,
-                                                                   rti1516e::NameNotFound,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+                       std::wstring const& theAttributeName);
 
     // 10.12
     virtual std::wstring
     getAttributeName(rti1516e::ObjectClassHandle whichClass,
-                     rti1516e::AttributeHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                                                rti1516e::InvalidAttributeHandle,
-                                                                rti1516e::AttributeNotDefined,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+                     rti1516e::AttributeHandle theHandle);
 
     // 10.13
     virtual double
-    getUpdateRateValue(std::wstring const& updateRateDesignator) throw(rti1516e::InvalidUpdateRateDesignator,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+    getUpdateRateValue(std::wstring const& updateRateDesignator);
 
     // 10.14
     virtual double
     getUpdateRateValueForAttribute(rti1516e::ObjectInstanceHandle theObject,
-                                   rti1516e::AttributeHandle theAttribute) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                                 rti1516e::AttributeNotDefined,
-                                                                                 rti1516e::FederateNotExecutionMember,
-                                                                                 rti1516e::NotConnected,
-                                                                                 rti1516e::RTIinternalError);
+                                   rti1516e::AttributeHandle theAttribute);
 
     // 10.15
     virtual rti1516e::InteractionClassHandle
-    getInteractionClassHandle(std::wstring const& theName) throw(rti1516e::NameNotFound,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+    getInteractionClassHandle(std::wstring const& theName);
 
     // 10.16
     virtual std::wstring
-    getInteractionClassName(rti1516e::InteractionClassHandle theHandle) throw(rti1516e::InvalidInteractionClassHandle,
-                                                                              rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError);
+    getInteractionClassName(rti1516e::InteractionClassHandle theHandle);
 
     // 10.17
     virtual rti1516e::ParameterHandle
     getParameterHandle(rti1516e::InteractionClassHandle whichClass,
-                       std::wstring const& theName) throw(rti1516e::InvalidInteractionClassHandle,
-                                                          rti1516e::NameNotFound,
-                                                          rti1516e::FederateNotExecutionMember,
-                                                          rti1516e::NotConnected,
-                                                          rti1516e::RTIinternalError);
+                       std::wstring const& theName);
 
     // 10.18
     virtual std::wstring
     getParameterName(rti1516e::InteractionClassHandle whichClass,
-                     rti1516e::ParameterHandle theHandle) throw(rti1516e::InvalidInteractionClassHandle,
-                                                                rti1516e::InvalidParameterHandle,
-                                                                rti1516e::InteractionParameterNotDefined,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+                     rti1516e::ParameterHandle theHandle);
 
     // 10.20
-    virtual rti1516e::OrderType getOrderType(std::wstring const& orderName) throw(rti1516e::InvalidOrderName,
-                                                                                  rti1516e::FederateNotExecutionMember,
-                                                                                  rti1516e::NotConnected,
-                                                                                  rti1516e::RTIinternalError);
+    virtual rti1516e::OrderType getOrderType(std::wstring const& orderName);
 
     // 10.21
-    virtual std::wstring getOrderName(rti1516e::OrderType orderType) throw(rti1516e::InvalidOrderType,
-                                                                           rti1516e::FederateNotExecutionMember,
-                                                                           rti1516e::NotConnected,
-                                                                           rti1516e::RTIinternalError);
+    virtual std::wstring getOrderName(rti1516e::OrderType orderType);
 
     // 10.18
     virtual rti1516e::TransportationType
-    getTransportationType(std::wstring const& transportationName) throw(rti1516e::InvalidTransportationName,
-                                                                        rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError);
+    getTransportationType(std::wstring const& transportationName);
 
     // 10.19
     virtual std::wstring
-    getTransportationName(rti1516e::TransportationType transportationType) throw(rti1516e::InvalidTransportationType,
-                                                                                 rti1516e::FederateNotExecutionMember,
-                                                                                 rti1516e::NotConnected,
-                                                                                 rti1516e::RTIinternalError);
+    getTransportationName(rti1516e::TransportationType transportationType);
 
     // 10.15
     virtual rti1516e::DimensionHandleSet getAvailableDimensionsForClassAttribute(
         rti1516e::ObjectClassHandle theClass,
-        rti1516e::AttributeHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                                   rti1516e::InvalidAttributeHandle,
-                                                   rti1516e::AttributeNotDefined,
-                                                   rti1516e::FederateNotExecutionMember,
-                                                   rti1516e::NotConnected,
-                                                   rti1516e::RTIinternalError);
+        rti1516e::AttributeHandle theHandle);
 
     // 10.17
     virtual rti1516e::DimensionHandleSet getAvailableDimensionsForInteractionClass(
-        rti1516e::InteractionClassHandle theClass) throw(rti1516e::InvalidInteractionClassHandle,
-                                                         rti1516e::FederateNotExecutionMember,
-                                                         rti1516e::NotConnected,
-                                                         rti1516e::RTIinternalError);
+        rti1516e::InteractionClassHandle theClass);
 
     // 10.12
     virtual rti1516e::DimensionHandle
-    getDimensionHandle(std::wstring const& theName) throw(rti1516e::NameNotFound,
-                                                          rti1516e::FederateNotExecutionMember,
-                                                          rti1516e::NotConnected,
-                                                          rti1516e::RTIinternalError);
+    getDimensionHandle(std::wstring const& theName);
 
     // 10.13
     virtual std::wstring
-    getDimensionName(rti1516e::DimensionHandle theHandle) throw(rti1516e::InvalidDimensionHandle,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+    getDimensionName(rti1516e::DimensionHandle theHandle);
 
     // 10.14
     virtual unsigned long
-    getDimensionUpperBound(rti1516e::DimensionHandle theHandle) throw(rti1516e::InvalidDimensionHandle,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+    getDimensionUpperBound(rti1516e::DimensionHandle theHandle);
 
     // 10.30
     virtual rti1516e::DimensionHandleSet
-    getDimensionHandleSet(rti1516e::RegionHandle theRegionHandle) throw(rti1516e::InvalidRegion,
-                                                                        rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError);
+    getDimensionHandleSet(rti1516e::RegionHandle theRegionHandle);
 
     // 10.31
     virtual rti1516e::RangeBounds
     getRangeBounds(rti1516e::RegionHandle theRegionHandle,
-                   rti1516e::DimensionHandle theDimensionHandle) throw(rti1516e::InvalidRegion,
-                                                                       rti1516e::RegionDoesNotContainSpecifiedDimension,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::SaveInProgress,
-                                                                       rti1516e::RestoreInProgress,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+                   rti1516e::DimensionHandle theDimensionHandle);
 
     // 10.32
     virtual void
     setRangeBounds(rti1516e::RegionHandle theRegionHandle,
                    rti1516e::DimensionHandle theDimensionHandle,
-                   rti1516e::RangeBounds const& theRangeBounds) throw(rti1516e::InvalidRegion,
-                                                                      rti1516e::RegionNotCreatedByThisFederate,
-                                                                      rti1516e::RegionDoesNotContainSpecifiedDimension,
-                                                                      rti1516e::InvalidRangeBound,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+                   rti1516e::RangeBounds const& theRangeBounds);
 
     // 10.33
     virtual unsigned long
-    normalizeFederateHandle(rti1516e::FederateHandle theFederateHandle) throw(rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::InvalidFederateHandle,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError);
+    normalizeFederateHandle(rti1516e::FederateHandle theFederateHandle);
 
     // 10.34
     virtual unsigned long
-    normalizeServiceGroup(rti1516e::ServiceGroup theServiceGroup) throw(rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::InvalidServiceGroup,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError);
+    normalizeServiceGroup(rti1516e::ServiceGroup theServiceGroup);
 
     // 10.22
-    virtual void enableObjectClassRelevanceAdvisorySwitch() throw(rti1516e::ObjectClassRelevanceAdvisorySwitchIsOn,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+    virtual void enableObjectClassRelevanceAdvisorySwitch();
 
     // 10.23
-    virtual void disableObjectClassRelevanceAdvisorySwitch() throw(rti1516e::ObjectClassRelevanceAdvisorySwitchIsOff,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+    virtual void disableObjectClassRelevanceAdvisorySwitch();
 
     // 10.24
-    virtual void enableAttributeRelevanceAdvisorySwitch() throw(rti1516e::AttributeRelevanceAdvisorySwitchIsOn,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::SaveInProgress,
-                                                                rti1516e::RestoreInProgress,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+    virtual void enableAttributeRelevanceAdvisorySwitch();
 
     // 10.25
-    virtual void disableAttributeRelevanceAdvisorySwitch() throw(rti1516e::AttributeRelevanceAdvisorySwitchIsOff,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+    virtual void disableAttributeRelevanceAdvisorySwitch();
 
     // 10.26
-    virtual void enableAttributeScopeAdvisorySwitch() throw(rti1516e::AttributeScopeAdvisorySwitchIsOn,
-                                                            rti1516e::FederateNotExecutionMember,
-                                                            rti1516e::SaveInProgress,
-                                                            rti1516e::RestoreInProgress,
-                                                            rti1516e::NotConnected,
-                                                            rti1516e::RTIinternalError);
+    virtual void enableAttributeScopeAdvisorySwitch();
 
     // 10.27
-    virtual void disableAttributeScopeAdvisorySwitch() throw(rti1516e::AttributeScopeAdvisorySwitchIsOff,
-                                                             rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::RestoreInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError);
+    virtual void disableAttributeScopeAdvisorySwitch();
 
     // 10.28
-    virtual void enableInteractionRelevanceAdvisorySwitch() throw(rti1516e::InteractionRelevanceAdvisorySwitchIsOn,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+    virtual void enableInteractionRelevanceAdvisorySwitch();
 
     // 10.29
-    virtual void disableInteractionRelevanceAdvisorySwitch() throw(rti1516e::InteractionRelevanceAdvisorySwitchIsOff,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+    virtual void disableInteractionRelevanceAdvisorySwitch();
 
     // 10.41
-    virtual bool evokeCallback(double approximateMinimumTimeInSeconds) throw(rti1516e::CallNotAllowedFromWithinCallback,
-                                                                             rti1516e::RTIinternalError);
+    virtual bool evokeCallback(double approximateMinimumTimeInSeconds);
 
     // 10.38
     virtual bool
     evokeMultipleCallbacks(double approximateMinimumTimeInSeconds,
-                           double approximateMaximumTimeInSeconds) throw(rti1516e::CallNotAllowedFromWithinCallback,
-                                                                         rti1516e::RTIinternalError);
+                           double approximateMaximumTimeInSeconds);
 
     // 10.39
     virtual void
-    enableCallbacks() throw(rti1516e::SaveInProgress, rti1516e::RestoreInProgress, rti1516e::RTIinternalError);
+    enableCallbacks();
 
     // 10.40
     virtual void
-    disableCallbacks() throw(rti1516e::SaveInProgress, rti1516e::RestoreInProgress, rti1516e::RTIinternalError);
+    disableCallbacks();
 
     // Return instance of time factory being used by the federation
-    virtual std::auto_ptr<rti1516e::LogicalTimeFactory> getTimeFactory() const
-        throw(rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError);
+    virtual std::auto_ptr<rti1516e::LogicalTimeFactory> getTimeFactory() const;
 
-    virtual rti1516e::FederateHandle decodeFederateHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+    virtual rti1516e::FederateHandle decodeFederateHandle(rti1516e::VariableLengthData const& encodedValue) const;
 
-    virtual rti1516e::ObjectClassHandle decodeObjectClassHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+    virtual rti1516e::ObjectClassHandle decodeObjectClassHandle(rti1516e::VariableLengthData const& encodedValue) const;
 
     virtual rti1516e::InteractionClassHandle
-    decodeInteractionClassHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+    decodeInteractionClassHandle(rti1516e::VariableLengthData const& encodedValue) const;
 
     virtual rti1516e::ObjectInstanceHandle
-    decodeObjectInstanceHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
-
-    virtual rti1516e::AttributeHandle decodeAttributeHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
-
-    virtual rti1516e::ParameterHandle decodeParameterHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
-
-    virtual rti1516e::DimensionHandle decodeDimensionHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+    decodeObjectInstanceHandle(rti1516e::VariableLengthData const& encodedValue) const;
+
+    virtual rti1516e::AttributeHandle decodeAttributeHandle(rti1516e::VariableLengthData const& encodedValue) const;
+
+    virtual rti1516e::ParameterHandle decodeParameterHandle(rti1516e::VariableLengthData const& encodedValue) const;
+
+    virtual rti1516e::DimensionHandle decodeDimensionHandle(rti1516e::VariableLengthData const& encodedValue) const;
 
     virtual rti1516e::MessageRetractionHandle
-    decodeMessageRetractionHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
-
-    virtual rti1516e::RegionHandle decodeRegionHandle(rti1516e::VariableLengthData const& encodedValue) const
-        throw(rti1516e::CouldNotDecode,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+    decodeMessageRetractionHandle(rti1516e::VariableLengthData const& encodedValue) const;
+
+    virtual rti1516e::RegionHandle decodeRegionHandle(rti1516e::VariableLengthData const& encodedValue) const;
 
 protected:
     RTI1516ambassador() noexcept;
